#include "AdnForme.h"
// Génère les fichiers c.jo et c.joa
void genereFichierJo(char c)
{

jo joc = mesjo[c-'a'];
  /*
  printf("duree=%d, laforceb=%d, laforceh=%d, amplitude={%d, %d, %d, %d},\n",
        joc.duree, joc.laforceb, joc.laforceh,
        joc.amplitude[0], joc.amplitude[1], joc.amplitude[2], joc.amplitude[3]);
  printf("dureefront={%d, %d, %d, %d}, changeamplitude={%d, %d, %d, %d},\n",
        joc.dureefront[0], joc.dureefront[1], joc.dureefront[2], joc.dureefront[3],
        joc.changeamplitude[0], joc.changeamplitude[1], joc.changeamplitude[2], joc.changeamplitude[3]);
  printf("changedureefront={%d, %d, %d, %d}, combiendezonememoire=%d\n\n",
        joc.changedureefront[0], joc.changedureefront[1], joc.changedureefront[2], joc.changedureefront[3],
        joc.combiendezonememoire);
  exit(0);
  */
  // Nom du fichier jo
  char nomfichierjo[32];
  snprintf(nomfichierjo, 32, "%c.jo", c);
  // Nom du fichier joa
  char nomfichierjoa[32];
  snprintf(nomfichierjoa, 32, "%c.joa", c);

  // Fichier jo
  FILE* fichierjo;
  if (!(fichierjo = fopen(nomfichierjo, "wb")))
   {
    exit(-1);
   }
  // Fichier joa
  FILE* fichierjoa;
  if (!(fichierjoa = fopen(nomfichierjoa, "wb")))
   {
    exit(-1);
   }


	
          fprintf(fichierjo,  "%c%c",    (char)128, (char)44);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)128, (unsigned char)44);
	
          fprintf(fichierjo,  "%c%c",    (char)125, (char)49);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)125, (unsigned char)49);
	
          fprintf(fichierjo,  "%c%c",    (char)136, (char)59);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)136, (unsigned char)59);
	
          fprintf(fichierjo,  "%c%c",    (char)119, (char)55);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)119, (unsigned char)55);
	
          fprintf(fichierjo,  "%c%c",    (char)130, (char)47);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)130, (unsigned char)47);
	
          fprintf(fichierjo,  "%c%c",    (char)120, (char)45);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)120, (unsigned char)45);
	
          fprintf(fichierjo,  "%c%c",    (char)147, (char)51);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)147, (unsigned char)51);
	
          fprintf(fichierjo,  "%c%c",    (char)108, (char)55);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)108, (unsigned char)55);
	
          fprintf(fichierjo,  "%c%c",    (char)139, (char)53);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)139, (unsigned char)53);
	
          fprintf(fichierjo,  "%c%c",    (char)111, (char)50);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)111, (unsigned char)50);
	
          fprintf(fichierjo,  "%c%c",    (char)157, (char)56);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)157, (unsigned char)56);
	
          fprintf(fichierjo,  "%c%c",    (char)99, (char)55);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)99, (unsigned char)55);
	
          fprintf(fichierjo,  "%c%c",    (char)146, (char)49);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)146, (unsigned char)49);
	
          fprintf(fichierjo,  "%c%c",    (char)103, (char)51);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)103, (unsigned char)51);
	
          fprintf(fichierjo,  "%c%c",    (char)168, (char)54);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)168, (unsigned char)54);
	
          fprintf(fichierjo,  "%c%c",    (char)88, (char)54);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)88, (unsigned char)54);
	
          fprintf(fichierjo,  "%c%c",    (char)155, (char)49);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)155, (unsigned char)49);
	
          fprintf(fichierjo,  "%c%c",    (char)93, (char)52);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)93, (unsigned char)52);
	
          fprintf(fichierjo,  "%c%c",    (char)179, (char)54);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)179, (unsigned char)54);
	
          fprintf(fichierjo,  "%c%c",    (char)78, (char)53);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)78, (unsigned char)53);
	
          fprintf(fichierjo,  "%c%c",    (char)163, (char)50);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)163, (unsigned char)50);
	
          fprintf(fichierjo,  "%c%c",    (char)82, (char)49);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)82, (unsigned char)49);
	
          fprintf(fichierjo,  "%c%c",    (char)189, (char)57);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)189, (unsigned char)57);
	
          fprintf(fichierjo,  "%c%c",    (char)69, (char)53);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)69, (unsigned char)53);
	
          fprintf(fichierjo,  "%c%c",    (char)170, (char)50);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)170, (unsigned char)50);
	
          fprintf(fichierjo,  "%c%c",    (char)75, (char)51);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)75, (unsigned char)51);

	  fprintf(fichierjo,  "%c%c",    (char)195, (char)54);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)195, (unsigned char)54);

	
          fprintf(fichierjo,  "%c%c",    (char)66, (char)55);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)66, (unsigned char)55);
	
          fprintf(fichierjo,  "%c%c",    (char)172, (char)49);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)172, (unsigned char)49);
	
          fprintf(fichierjo,  "%c%c",    (char)69, (char)48);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)69, (unsigned char)48);
	
          fprintf(fichierjo,  "%c%c",    (char)201, (char)56);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)201, (unsigned char)56);
	
          fprintf(fichierjo,  "%c%c",    (char)61, (char)54);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)61, (unsigned char)54);
	
          fprintf(fichierjo,  "%c%c",    (char)176, (char)49);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)176, (unsigned char)49);
	
          fprintf(fichierjo,  "%c%c",    (char)63, (char)49);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)63, (unsigned char)49);
	
          fprintf(fichierjo,  "%c%c",    (char)208, (char)54);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)208, (unsigned char)54);
	
          fprintf(fichierjo,  "%c%c",    (char)55, (char)52);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)55, (unsigned char)52);
	
          fprintf(fichierjo,  "%c%c",    (char)183, (char)46);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)183, (unsigned char)46);
	
          fprintf(fichierjo,  "%c%c",    (char)56, (char)50);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)56, (unsigned char)50);
	
          fprintf(fichierjo,  "%c%c",    (char)214, (char)51);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)214, (unsigned char)51);
	
          fprintf(fichierjo,  "%c%c",    (char)54, (char)53);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)54, (unsigned char)53);
	
          fprintf(fichierjo,  "%c%c",    (char)184, (char)46);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)184, (unsigned char)46);
	
          fprintf(fichierjo,  "%c%c",    (char)54, (char)47);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)54, (unsigned char)47);
	
          fprintf(fichierjo,  "%c%c",    (char)215, (char)48);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)215, (unsigned char)48);
	
          fprintf(fichierjo,  "%c%c",    (char)57, (char)52);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)57, (unsigned char)52);
	
          fprintf(fichierjo,  "%c%c",    (char)186, (char)46);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)186, (unsigned char)46);
	
          fprintf(fichierjo,  "%c%c",    (char)49, (char)46);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)49, (unsigned char)46);
	
          fprintf(fichierjo,  "%c%c",    (char)221, (char)49);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)221, (unsigned char)49);
	
          fprintf(fichierjo,  "%c%c",    (char)48, (char)48);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)48, (unsigned char)48);
	
          fprintf(fichierjo,  "%c%c",    (char)198, (char)46);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)198, (unsigned char)46);
	
          fprintf(fichierjo,  "%c%c",    (char)37, (char)46);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)37, (unsigned char)46);
	
          fprintf(fichierjo,  "%c%c",    (char)232, (char)49);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)232, (unsigned char)49);
	
          fprintf(fichierjo,  "%c%c",    (char)33, (char)47);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)33, (unsigned char)47);
	
          fprintf(fichierjo,  "%c%c",    (char)210, (char)47);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)210, (unsigned char)47);
	
          fprintf(fichierjo,  "%c%c",    (char)32, (char)45);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)32, (unsigned char)45);
	
          fprintf(fichierjo,  "%c%c",    (char)231, (char)48);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)231, (unsigned char)48);
	
          fprintf(fichierjo,  "%c%c",    (char)36, (char)46);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)36, (unsigned char)46);
	
          fprintf(fichierjo,  "%c%c",    (char)202, (char)45);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)202, (unsigned char)45);
	
          fprintf(fichierjo,  "%c%c",    (char)49, (char)45);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)49, (unsigned char)45);
	
          fprintf(fichierjo,  "%c%c",    (char)216, (char)46);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)216, (unsigned char)46);
	
          fprintf(fichierjo,  "%c%c",    (char)49, (char)45);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)49, (unsigned char)45);
	
          fprintf(fichierjo,  "%c%c",    (char)195, (char)43);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)195, (unsigned char)43);
	
          fprintf(fichierjo,  "%c%c",    (char)50, (char)44);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)50, (unsigned char)44);





  for(int duree = joc.duree; duree>0; duree--)
   {

int i;

    // Descente laforceb
    for(int laforcehbase = joc.laforceh; laforcehbase > 0; laforcehbase--)
     {
	i = 0;
      while ( i  < 4 )
      {

//         if(i<3)
//          joc.amplitude[i] += joc.changeamplitude[i];
//         else
//          joc.amplitude[i] -= joc.changeamplitude[i];

          fprintf(fichierjo,  "%c%c",    (char)joc.amplitude[i], (char)joc.dureefront[i]);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)joc.amplitude[i], (unsigned char)joc.dureefront[i]);

//        joc.dureefront[i] -= joc.changedureefront[i];

i++;

       }

     }
     }


  for(int duree = joc.duree; duree>0; duree--)
   {

int i;

    // Descente laforceb
    for(int laforcehbase = joc.laforceb; laforcehbase > 0; laforcehbase--)
     {
	i = 0;
      while ( i  < 4 )
      {

         if(i%2)
          joc.amplitude[i] += joc.changeamplitude[i];
         else
          joc.amplitude[i] -= joc.changeamplitude[i];

          fprintf(fichierjo,  "%c%c",    (char)joc.amplitude[i], (char)joc.dureefront[i]);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)joc.amplitude[i], (unsigned char)joc.dureefront[i]);

i++;

       }

     }

    // Descente laforceh


    // Écriture des zones mémoires
    for(int zonememoire = joc.combiendezonememoire; zonememoire > 0 ; zonememoire--)
     {
      fprintf(fichierjo,  "%c%c", 130, 250);
      fprintf(fichierjoa, "%d %d\n", 130, 250);
      fprintf(fichierjo,  "%c%c", 128, 250);
      fprintf(fichierjoa, "%d %d\n", 128, 250);
     }
   }
  fclose(fichierjo);
  fclose(fichierjoa);
}
